import 'package:json_annotation/json_annotation.dart';
part 'CreateCustomer.g.dart';

//flutter packages pub run build_runner build --delete-conflicting-outputs
@JsonSerializable()
class CreateCustomer {
  String address;
  String avatarUrl;
  String cpfCnpj;
  String email;
  String name;
  String password;
  CreateCustomer(this.address, this.avatarUrl, this.cpfCnpj, this.email,
      this.name, this.password);

  factory CreateCustomer.fromJson(Map<String, dynamic> json) =>
      _$CreateCustomerFromJson(json);
  Map<String, dynamic> toJson() => _$CreateCustomerToJson(this);
}
